-- Colours
CONVERSE_COLOUR		= "|cffffffff";
CONVERSE_COLOUR_PRINT	= "|cff7fafff";
CONVERSE_COLOUR_GREY	= "|cff7f7f7f";
CONVERSE_COLOUR_TAG	= "|cff70ffff";

--CONVERSE_COLOUR_PARTY	= {r = 0.66, g = 0.66, b = 1.00};
--CONVERSE_COLOUR_RAID	= {r = 1.00, g = 0.75, b = 0.00};
--CONVERSE_COLOUR_GUILD	= {r = 0.25, g = 1.00, b = 0.25};
--CONVERSE_COLOUR_OFFICER	= {r = 0.66, g = 1.00, b = 1.00};
--CONVERSE_COLOUR_MSG	= {r = 1.00, g = 0.50, b = 1.00};
CONVERSE_COLOUR_CHANNEL	= {r = 1.00, g = 0.75, b = 0.75};

CONVERSE_COLOUR_TOOLTIP_LOCATION	= {r = 1.00, g = 0.75, b = 0.00};
CONVERSE_COLOUR_TOOLTIP_LINES		= {r = 1.00, g = 1.00, b = 1.00};
CONVERSE_COLOUR_TOOLTIP_PLAYERS		= {r = 0.50, g = 0.75, b = 1.00};
CONVERSE_COLOUR_TOOLTIP_LASTDATE	= {r = 0.50, g = 0.50, b = 0.50};

-- Labels and prefixes
CONVERSE_INDEX_SAY	= "Say";
CONVERSE_INDEX_PARTY	= "Party";
CONVERSE_INDEX_RAID	= "Raid";
CONVERSE_INDEX_BG	= "BG";

-- Prefix, for private messages, since you never know when someone could
-- make a character with the name 'Party' or 'Raid'...
CONVERSE_PREFIX_MSG			= "m/";
CONVERSE_PREFIX_MSGINFO			= "r/";

-- So they are sorted ahead of m
CONVERSE_PREFIX_MSGFRIEND		= "k/";
CONVERSE_PREFIX_MSGFRIENDOFFLINE	= "l/";

-- RealID sorted before messages
CONVERSE_PREFIX_MSGRID			= "i/";
CONVERSE_PREFIX_MSGRIDOFFLINE		= "j/";

-- Guild/Officer we'll keep sepearate as different characters maybe in
-- different guilds.
CONVERSE_PREFIX_OFFICER	= "o/";
CONVERSE_PREFIX_GUILD	= "g/";

CONVERSE_PREFIX_CHANNEL	= "c/"

-- Clear types
CONVERSE_CLEARALL	= "all";
CONVERSE_CLEARCHAT	= "chat";
CONVERSE_CLEARCHAN	= "chan";
CONVERSE_CLEARMSG	= "msg";
CONVERSE_CLEARRAND	= "rand";

-- I'm not really sure if I'm going to end up using these or not...
CONVERSE_IGNORE_SAY	= "say";
CONVERSE_IGNORE_PARTY	= "party";
CONVERSE_IGNORE_RAID	= "raid";
CONVERSE_IGNORE_BG	= "bg";
CONVERSE_IGNORE_GUILD	= "guild";
CONVERSE_IGNORE_OFFICER	= "officer";
CONVERSE_IGNORE_WHISPER	= "whisper";

CONVERSE_IGNORE_ID_SAY		= 50;
CONVERSE_IGNORE_ID_PARTY	= 51;
CONVERSE_IGNORE_ID_RAID		= 52;
CONVERSE_IGNORE_ID_BG		= 53;
CONVERSE_IGNORE_ID_GUILD	= 54;
CONVERSE_IGNORE_ID_OFFICER	= 55;

CONVERSE_IGNORE_ID_WHISPER	= 60;

CONVERSE_FORMAT_NAME	= "|Hplayer:%s|h[%s]|h";

-- Channel tags
CONVERSE_TAG_NORMAL	= 1;
CONVERSE_TAG_OWNER	= "*";
CONVERSE_TAG_MODERATOR	= "@";
CONVERSE_TAG_MUTE	= "#";

-- Blink types
CONVERSE_BLINKALL	= "all";
CONVERSE_MSGBLINK	= "msg";

-- And some limits...
CONVERSE_FONTMIN	= 5;
CONVERSE_FONTMAX	= 50;
CONVERSE_LINESMIN	= 10;
CONVERSE_LINESMAX	= 10240;

-- How long of a line will we allow in multiline paste before we split.
CONVERSE_SPLITLENGTH	= 60;

-- Internal constants
CONVERSE_ITEMS_HEIGHT	= 16;
CONVERSE_ITEMS_NUMSHOWN	= 20;
CONVERSE_MAXCHANNELS	= 10;

-- Configuration defaults
CONVERSE_DEF_FONTSIZE	= 14;
CONVERSE_DEF_SELECTED	= CONVERSE_INDEX_SAY;
CONVERSE_DEF_MAXLINES	= 256;
CONVERSE_DEF_BLINKTYPE	= CONVERSE_MSGBLINK;
